﻿using DevExpress.UI.Xaml.Layout;
using Windows.UI.Xaml;

namespace DXTweets
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : DXPage
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.Loaded += MainPage_Loaded;
            var timer = new DispatcherTimer();
            timer.Interval = new System.TimeSpan(0, 0, 0, 30, 0);
            timer.Tick += timer_Tick;
            timer.Start();
        }

        void timer_Tick(object sender, object e)
        {
            Locator.Instance.getNewTweets();
            Locator.MapInstance.getNewTweets();
        }

        void MainPage_Loaded(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            this.DataContext = Locator.Instance;
        }


        private void Button_Click_1(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            Locator.Instance.searchTerm = txtSearchTerm.Text;
            Locator.MapInstance.searchTerm = txtSearchTerm.Text;
         }

        private async void btnTranslate_Click_1(object sender, Windows.UI.Xaml.RoutedEventArgs e)
        {
            bool trans_success = await Locator.Instance.doTranslationCaller();
            if (trans_success)
            {
                this.DataContext = Locator.Instance;
            }
        }

       
    }
}
