﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Imaging;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace DXTweets.Views
{
    public sealed partial class Character : UserControl
    {
        public Character()
        {
            this.InitializeComponent();
            DrawCharacter();
            Locator.Instance.PropertyChanged += Instance_PropertyChanged;
        }

        void Instance_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            DrawCharacter();
        }

        void DrawCharacter()
        {
            string strRoot = "neutral";
            
            if (Locator.Instance.recent_positive_count > Locator.Instance.recent_negative_count)
            {
                strRoot = "happy";
            }
            else if (Locator.Instance.recent_negative_count >= Locator.Instance.recent_positive_count)
            {
                strRoot = "sad";
            }
            else
            {
                strRoot = "neutral";
            }

            System.Random randSeed = new System.Random(System.DateTime.Now.Millisecond);
            int val = randSeed.Next(1, 3);
            string path = "/Assets/" + strRoot + val + ".png";
            Uri uri = new Uri(this.BaseUri, path);
            BitmapImage pic = new BitmapImage(uri);
            imgChar.Source = pic;
        }
    }
}
