﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using DXTweets.Model;
using DevExpress.UI.Xaml.Map;
// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace DXTweets.Views
{
    public sealed partial class TweetMapView : UserControl
    {

        public TweetMapView()
        {
            this.InitializeComponent();
            this.DataContext = Locator.MapInstance;
            Locator.MapInstance.PropertyChanged += MapInstance_PropertyChanged;
            
        }

        void MapInstance_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            (map.Layers[1] as VectorItemsLayer).Items.Clear();
            foreach (TweetLocation loc in Locator.MapInstance.tweets)
            {
                GeoPoint point = new GeoPoint();
                point.Latitude = loc.Latitude;
                point.Longitude = loc.Longitude;
                MapPushpin pin = new MapPushpin();
                pin.Location = point;
                VectorItemsLayer layer = map.Layers[1] as VectorItemsLayer;
                layer.Items.Add(pin);
            }
        }


    }
}
