﻿ using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using DevExpress.UI.Xaml.Charts;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace DXTweets.Views
{
    public sealed partial class TweetSentiment : UserControl
    {
        public TweetSentiment()
        {
            this.InitializeComponent();
            this.DataContext = Locator.Instance;
            this.Loaded += TweetSentiment_Loaded;

            Locator.Instance.PropertyChanged += Instance_PropertyChanged;
        }

        void TweetSentiment_Loaded(object sender, RoutedEventArgs e)
        {
            updatePie();

        }

        void updatePie()
        {
            DataPointCollection coll = pieChart.Series[0].Data as DataPointCollection;
            coll.Clear();
            coll.Add(new DataPoint("Neutral", Locator.Instance.total_neutral_count));
            coll.Add(new DataPoint("Positive", Locator.Instance.total_positive_count));
            coll.Add(new DataPoint("Negative", Locator.Instance.total_negative_count));
        }

        void Instance_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            this.DataContext = null;
            this.DataContext = Locator.Instance;
            updatePie();
        }
    }
}
