﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using DXTweets.Model;
using DevExpress.UI.Xaml.Charts;
// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace DXTweets.Views
{
    public sealed partial class Tweeters : UserControl
    {
        public Tweeters()
        {
            this.InitializeComponent();
            this.DataContext = Locator.Instance;
            Locator.Instance.PropertyChanged += Instance_PropertyChanged;
            DrawChart();
        }

        void DrawChart()
        {
            List<Tweeter> tweeters = Locator.Instance.tweeters;
            DataPointCollection coll = TweetersBarChart.Series[0].Data as DataPointCollection;
            coll.Clear();
            var sortedlist = from t in tweeters
                             orderby t.TweetCount descending
                             select t;

            var toptweeters = sortedlist.Take(10).ToList();
            foreach (Tweeter t in toptweeters)
            {
                DataPoint d = new DataPoint();
                d.Argument = t.Author;
                d.Value = t.TweetCount;
                coll.Add(d);
            }
        }

        void Instance_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            DrawChart();
            
        }
    }
}
